Redmine - Defect #30811

"rake db:fixtures:load" does not work
2019-02-15 07:34 - Go MAEDA

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Go MAEDA % Done: 0%
Category: Code cleanup/refactoring Estimated time: 0.00 hour
Target version: 3.4.11

Resolution: Fixed Affected version:

Description

Rails provides a rake task db:fixtures:load to load fixtures to the database. Fixture data is useful to prepare Redmine for testing. But,
in Redmine, the task fails due to test/fixtures/configuration/*.yml.

$ bin/rake db:fixtures:load

rake aborted!

ActiveRecord: :Fixture: :FormatError: fixture key is not a hash: /Users/maeda/redmines/redmine-trunk
/test/fixtures/configuration/default.yml, keys: ["production", "development", "test"]

This is because db:fixtures:load assumes that all files which have .yml extension are fixtures. Actually test/fixtures/configuration/*.yml
are not fixtures but files used to test lib/redmine/configuration.rb.

To run db:fixtures:load without errors, | suggest changing the extension of those files from .yml to another extension such as .yml.txt.

Related issues:
Related to Redmine - Patch #35466: Rename test/fixtures/configuration/*.yml.e... Closed

Associated revisions

Revision 17889 - 2019-02-19 12:03 - Go MAEDA
"rake db:fixtures:load" does not work (#30811).

Patch by Takenori TAKAKI.

Revision 18129 - 2019-05-05 04:02 - Go MAEDA
Merged r17889 from trunk to 4.0-stable (#30811).

Revision 18130 - 2019-05-05 04:03 - Go MAEDA
Merged r17889 from trunk to 3.4-stable (#30811).

History

#1 - 2019-02-18 17:08 - Takenori TAKAKI
- File 30811.patch added

test/fixtures/configuration/*.yml is test data for Redmine::Configuration but it's not fixtures.
| think that this problem will be solved by changing the location of these files.
(eg. test/fixtures/configuration/*.yml -> test/configuration/*.yml)

#2 - 2019-02-19 01:20 - Go MAEDA
Currently, all files used by tests are placed under fixtures directory. Here are some examples:
o test/fixtures/diffs
e test/fixtures/Idap
o test/fixtures/mail_handler
| think it is better not to move text/fixtures/configuration outside fixtures directory because it breaks the implicit rule.

#3 - 2019-02-19 06:17 - Takenori TAKAKI

- File rename_configration_fixtures.patch added
Go MAEDA wrote:
Currently, all files used by tests are placed under fixtures directory. Here are some examples:

e test/fixtures/diffs
¢ test/fixtures/ldap
e test/fixtures/mail_handler

| think it is better not to move text/fixtures/configuration outside fixtures directory because it breaks the implicit rule.

Thank you for pointing out my problem with my patch.

| was not able to notice the current implicit rules...

Certainly, test data not registered in the DB is also placed in test/fixtures.
As suggested by Go Maeda, | made a patch to change the file name.

#4 - 2019-02-19 06:44 - Go MAEDA
- Tracker changed from Feature to Defect

- Subject changed from Change the extension of test/fixtures/configuration/*.yml so that db:fixtures:load does not fail to rake db:fixtures:load does not
work

- Target version set to 4.1.0

#5 - 2019-02-19 08:09 - Marius BALTEANU

Maybe ".example" is more appropriate than ".txt"?

#6 - 2019-02-19 11:20 - Go MAEDA
Marius BALTEANU wrote:

Maybe ".example" is more appropriate than ".txt"?

Thanks, looks nicer.

#7 - 2019-02-19 12:05 - Go MAEDA

- Subject changed from rake db:fixtures:load does not work to "rake db:fixtures:load" does not work
- Status changed from New to Closed

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch. Thank you for fixing it.

#8 - 2019-05-05 04:03 - Go MAEDA

- Target version changed from 4.1.0 to 3.4.11

#9 - 2021-06-26 06:27 - Go MAEDA

- Related to Patch #35466: Rename test/fixtures/configuration/*.yml.example to test/fixtures/files/configuration/*.yml added

Files
30811.patch 1.33 KB 2019-02-18 Takenori TAKAKI
rename_configration_fixtures.patch 2.18 KB 2019-02-19 Takenori TAKAKI
